xmin <- 0
xmax <- 40

a <- read.csv(file="P04702_Background.xy", sep="", header=FALSE)
b <- read.csv(file="P05060_Isophthalic acid CM for 60mins_week 3.xy", sep="", header=FALSE)
c <- read.csv(file="P04703_Isophthalic acid CM for 60 mins_zero weeks.xy", sep="", header=FALSE)
d <- read.csv(file="Unmilled isophthalic acid.xy", sep="", header=FALSE)
e <- read.csv(file=".xy", sep="", header=FALSE)
f <- read.csv(file="P04703_Isophthalic acid CM for 60 mins_zero weeks.xy", sep="", header=FALSE)
g <- read.csv(file="P04702_Background.xy", sep="", header=FALSE)


a_subset <- subset(a, a[,1] > xmin & a[,1] < xmax)
a_subset <- cbind(a_subset[,1], a_subset[,2]/a_subset[which.max(a_subset[,2]),2])
b_subset <- subset(b, b[,1] > xmin & b[,1] < xmax)
b_subset <- cbind(b_subset[,1], b_subset[,2]/b_subset[which.max(b_subset[,2]),2])
c_subset <- subset(c, c[,1] > xmin & c[,1] < xmax)
c_subset <- cbind(c_subset[,1], c_subset[,2]/c_subset[which.max(c_subset[,2]),2])
d_subset <- subset(d, d[,1] > xmin &d[,1] < xmax)
d_subset <- cbind(d_subset[,1], d_subset[,2]/d_subset[which.max(d_subset[,2]),2])
e_subset <- subset(e, e[,1] > xmin & e[,1] < xmax)
e_subset <- cbind(e_subset[,1], e_subset[,2]/e_subset[which.max(e_subset[,2]),2])
f_subset <- subset(f, f[,1] > xmin & f[,1] < xmax)
f_subset <- cbind(f_subset[,1], f_subset[,2]/f_subset[which.max(f_subset[,2]),2])
g_subset <- subset(g, g[,1] > xmin & g[,1] < xmax)
g_subset <- cbind(g_subset[,1], g_subset[,2]/g_subset[which.max(g_subset[,2]),2])


pdf(file="i new 22.pdf")
offset <- 1.20

plot(b_subset, type="l", ylim=c(0,4.5), xlab=expression(paste("Angle (",degree,"2", theta,")")), ylab="Intensity (offset and normalised)")
points(cbind(c_subset[,1], c_subset[,2]+1*offset), type="l")
points(cbind(d_subset[,1], d_subset[,2]+2*offset), type="l")
points(cbind(e_subset[,1], e_subset[,2]+3*offset), type="l")
points(cbind(a_subset[,1], a_subset[,2]+3*offset), type="l")
points(cbind(f_subset[,1], f_subset[,2]+5*offset), type="l")
points(cbind(g_subset[,1], g_subset[,2]+6*offset), type="l")


text(15,0.9, c("I CM 60 mins (3 weeks)"))
text(15,2.0, c("I CM 60 mins (zero weeks)"))
text(15,3.4, c("Unmilled isophthalic acid"))
text(15,4.3, c("Brass"))
text(15,5.8, c("T CM 60 mins"))
text(15,6.9, c("I CM 60 mins"))
text(15,8.0, c("Brass"))


#plot(a_subset, type="l", ylim=c(0,3))
#points(cbind(be_subset[,1], b_subset[,2]+1*offset), type="l")

dev.off()

