csvs <- list.files(pattern="csv")
csvs <- csvs[c(1,3,2)]
for (csv in csvs)
	{
		 if (which(csvs==csv)== 1)
		 {
			 plot(read.csv(file=csv, header=FALSE, skip=5), type="l")
		 }
		else
		{
			lines(read.csv(file=csv, header=FALSE, skip=5))
		}
	}
as_rec <- read.csv(file=csv[1], header=FALSE, skip=5)
cryo_zero_hours <- read.csv(file=csvs[2], header=FALSE, skip=5)
cryo_three_weeks <- read.csv(file=csvs[2], header=FALSE, skip=5)
as_rec_minus_cryo_zero <- cbind(as_rec[,1], (scale(as_rec[,2]) - scale(cryo_zero_hours[,2])))

xmin <- 700
xmax <- 2000
library(fields)
plot(as_rec[,1], as_rec[,2]+100, type="l", ylim=c(-10,200), xlim=c(xmin, xmax), col="red")
lines(cryo_zero_hours[,1], cryo_zero_hours[,2], col="blue")
yline(0, lty=2)
lines(as_rec_minus_cryo_zero[,1], as_rec_minus_cryo_zero[,2]*25, col="black")
xline(1672, lty=2)
xline(1409, lty=2)
xline(1265, lty=2)
xline(882, lty=2)

xmin <- 700
xmax <- 2000
library(fields)
plot(as_rec[,1], as_rec[,2]+200, type="l", ylim=c(-10,300), xlim=c(xmin, xmax), col="red")
lines(cryo_zero_hours[,1], cryo_zero_hours[,2]+100, col="blue")
lines(cryo_three_weeks, col="black")
xline(1672, lty=2)
xline(1409, lty=2)
xline(1265, lty=2)
xline(882, lty=2)

